RK-J - Task #3127
Task # 3126 (Closed): Handle OpenAl API error codes

BE: Return the 500 error in the response of /answer api, if receive any error from openai.
07/13/2023 09:15 AM - Ayush Khandelwal

Status: Closed Start date: 07/13/2023
Priority: Immediate Due date: 07/24/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 6.00 hours
Description

Server side

If error is 401 or 429, please log a critical level message; else log a info level message.
Log Message = "OpenAl error: <return error code and message from API call>"

At this time, send the error code as 500 to the frondend with the message "Unfortunately, ChatGPT Plus API Servers are very busy.
Please retry later".

History

#1 - 07/13/2023 09:20 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Abhijata Sen

#2 - 07/13/2023 09:30 AM - Abhijata Sen

- Status changed from New to In Progress

#3 - 07/13/2023 02:24 PM - Abhijata Sen
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 07/13/2023 02:24 PM - Abhijata Sen
- Status changed from Resolved to Review

- Assignee changed from Abhijata Sen to Venmuhilan B

#5 - 07/14/2023 05:06 AM - Venmuhilan B
- Status changed from Review to Reopened

- Assignee changed from Venmuhilan B to Abhijata Sen

#6 - 07/14/2023 05:07 AM - Venmuhilan B
- % Done changed from 100 to 30

#7 - 07/14/2023 02:42 PM - Venmuhilan B

- Status changed from Reopened to In Progress

#8 - 07/14/2023 02:43 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 30 to 100

#9 - 07/14/2023 02:43 PM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Abhijata Sen to Venmuhilan B

#10 - 07/14/2023 02:43 PM - Venmuhilan B

04/02/2025 1/3




- Assignee changed from Venmuhilan B to Ayush Khandelwal

#11 - 07/17/2023 05:13 AM - Venmuhilan B
- Status changed from Feedback to Resolved

- Assignee changed from Ayush Khandelwal to Venmuhilan B

#12 - 07/17/2023 05:13 AM - Venmuhilan B

- Status changed from Resolved to Review

#13 - 07/17/2023 06:57 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#14 - 07/24/2023 09:21 AM - Ayush Khandelwal

- Due date changed from 07/13/2023 to 07/24/2023

- Status changed from Review to Reopened

- Assignee changed from Ayush Khandelwal to Venmuhilan B

- % Done changed from 100 to 80

There is a change in the requirement:
Let's change the error message from "Unfortunately, ChatGPT Plus API Servers are very busy. Please retry later" to "Unfortunately, ChatGPT Plus
Servers are very busy. Please retry later"

#15 - 07/24/2023 09:33 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Abhijata Sen

#16 - 07/24/2023 10:01 AM - Abhijata Sen

- Assignee changed from Abhijata Sen to Venmuhilan B

#17 - 07/24/2023 10:02 AM - Abhijata Sen

- Status changed from Reopened to In Progress

#18 - 07/24/2023 10:02 AM - Abhijata Sen

- Status changed from In Progress to Resolved

#19 - 07/24/2023 10:02 AM - Abhijata Sen

- Status changed from Resolved to Review

#20 - 07/24/2023 10:02 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#21 - 07/24/2023 10:03 AM - Venmuhilan B
- % Done changed from 80 to 100

#22 - 07/26/2023 09:13 AM - Venmuhilan B
- Status changed from Review to Feedback

- Assignee changed from Ayush Khandelwal to Abhijata Sen

#23 - 07/27/2023 05:21 AM - Abhijata Sen

- Assignee changed from Abhijata Sen to Venmuhilan B

#24 - 07/27/2023 05:22 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

Test cases - https://docs.google.com/document/d/1tQzs5DWEEVrnOcKC2sX_U2wZBc5FJd7erib6fGBv6o/edit#heading=h.7nh4rsxh50sy

#25 - 07/27/2023 09:15 AM - Ram Kordale
https://docs.google.com/document/d/1tQzs5DWfEEVrnOcKC2sX_U2wZBc5FJd7erjb6fGBv6o/edit#heading=h.7nh4rsxh50sy

- Priority changed from Urgent to Immediate

#26 - 07/28/2023 02:14 PM - Ayush Khandelwal
- Status changed from Feedback to Closed

Working as expected
